# Lodging_CreateMany

Imports multiple UserDefinedFieldDatasetModel.

`POST /v1/atcse/company/{company}/UdfDs/Import/{udfKey}`

**API:** Avalara Tax Content - Configuration Service
**Tag:** Lodging
**API Version:** v1
**Base URL:** https://rest.avatax.com/api/v2/content/configuration
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/avalara-tax-content/api/cfg/methods/Lodging/Lodging_CreateMany/

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `company` | integer | path | Yes | company id. |
| `udfKey` | string | path | Yes | UdfKey for all imports in the request, ie "Remittance", this maps to your UDF field name. |
| `approvalState` | boolean | query | No | What to set for approval flag of imported items (default true).  You may want to set this to false if importing from fuzzy match results. |

## Request Body

**Content-Type:** `application/json`

**Content-Type:** `text/json`

**Content-Type:** `application/*+json`

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | OK |  |
| 400 | Bad Request | `Microsoft.AspNetCore.Mvc.ProblemDetails` |
| 401 | Unauthorized | `Microsoft.AspNetCore.Mvc.ProblemDetails` |
| 404 | Not Found | `Microsoft.AspNetCore.Mvc.ProblemDetails` |

## Example Request

```bash
curl -X POST "https://rest.avatax.com/api/v2/content/configuration/v1/atcse/company/{company}/UdfDs/Import/{udfKey}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json" \
  -d '[
  {
    "companyId": "",
    "accountId": "",
    "createdBy": "",
    "createdDate": "2021-04-21T20:09:19.2207167Z.",
    "modifiedBy": "",
    "modifiedDate": "2021-04-21T20:09:19.2207167Z.",
    "customerSourceField": "",
    "taxJurisdictionName": "",
    "taxJurisdictionLevel": "",
    "taxName": "",
    "state": "",
    "approved": "",
    "udfKey": "",
    "udfValue": "",
    "udfDatasetId": "",
    "isCurrent": ""
  }
]'
```